matrix:
  platform:
  - debian11
  - ubuntu2204
  - macos
  - macos_arm64
  - windows
  bazel:
  - 8.x
  - 7.x
  - 9.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@bullet//:Bullet3Collision'
    - '@bullet//:Bullet3Common'
    - '@bullet//:Bullet3Dynamics'
    - '@bullet//:Bullet3Geometry'
    - '@bullet//:Bullet3Serialize'
    - '@bullet//:BulletCollision'
    - '@bullet//:BulletCollisionDoublePrecision'
    - '@bullet//:BulletDynamics'
    - '@bullet//:BulletDynamicsDoublePrecision'
    - '@bullet//:BulletInverseDynamics'
    - '@bullet//:BulletInverseDynamicsDoublePrecision'
    - '@bullet//:BulletSoftBody'
    - '@bullet//:BulletSoftBodyDoublePrecision'
    - '@bullet//:LinearMath'
    - '@bullet//:LinearMathDoublePrecision'
